Subject: Re: [Bitcoin-development] Stealth Addresses

From: Mike Hearn <[email-masked]>
Date: Sun, 12 Jan 2014 19:26:18 +0100

On Sun, Jan 12, 2014 at 7:20 PM, Jeremy Spilman <[email-masked]> wrote:

>  I think for displaying the payment in the UI after it's been made via
> PP, we have to fully support sending to a new standard address type anyway.
>

Why? Showing an address is meaningless, especially if the user didn't type
it in or see it somewhere else. It's just an opaque random number, all
putting it in the UI can do is make it look scarier :)

Part of the point of the payment protocol is it lets merchants provide
human readable text for transactions instead of addresses.